> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetchase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Email Exchange

> Retrieves the email chain for a specific exchange.

## Path Parameters

- **exchange_id** (`int`): The ID of the exchange whose email chain is to be retrieved.

## Authentication (Headers)

- **X-API-Key**: The API key for authenticating the request.

## Returns

- **EmailChain**: The email chain associated with the specified exchange.



## OpenAPI

````yaml GET /api/v1/exchanges/{exchange_id}/emails
openapi: 3.1.0
info:
  title: ChaseLabs API
  version: 0.1.0
servers:
  - url: https://services.meetchase.ai
security: []
paths:
  /api/v1/exchanges/{exchange_id}/emails:
    get:
      tags:
        - Public API Routes
        - Exchange Routes
      summary: Fetch Exchange Emails Api
      description: >-
        Retrieves the email chain for a specific exchange.


        ## Path Parameters


        - **exchange_id** (`int`): The ID of the exchange whose email chain is
        to be retrieved.


        ## Authentication (Headers)


        - **X-API-Key**: The API key for authenticating the request.


        ## Returns


        - **EmailChain**: The email chain associated with the specified
        exchange.
      operationId: fetch_exchange_emails_api_api_v1_exchanges__exchange_id__emails_get
      parameters:
        - name: exchange_id
          in: path
          required: true
          schema:
            type: integer
            title: Exchange Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EmailMessage'
                title: >-
                  Response Fetch Exchange Emails Api Api V1 Exchanges  Exchange
                  Id  Emails Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API Key: []
components:
  schemas:
    EmailMessage:
      properties:
        threadId:
          anyOf:
            - type: string
            - type: 'null'
          title: Threadid
        inReplyToMessageId:
          anyOf:
            - type: string
            - type: 'null'
          title: Inreplytomessageid
        references:
          anyOf:
            - type: string
            - type: 'null'
          title: References
        subject:
          type: string
          title: Subject
        body:
          $ref: '#/components/schemas/common__models__email_models__EmailBody'
        from_:
          $ref: '#/components/schemas/EmailRecipient'
        to:
          items:
            $ref: '#/components/schemas/EmailRecipient'
          type: array
          title: To
        cc:
          items:
            $ref: '#/components/schemas/EmailRecipient'
          type: array
          title: Cc
          default: []
        bcc:
          items:
            $ref: '#/components/schemas/EmailRecipient'
          type: array
          title: Bcc
          default: []
        attachments:
          items:
            $ref: '#/components/schemas/DocumentInternal'
          type: array
          title: Attachments
          default: []
        unsubscribe_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Unsubscribe Url
        messageId:
          type: string
          title: Messageid
        date:
          anyOf:
            - type: string
              format: date-time
            - type: string
            - type: 'null'
          title: Date
        labels:
          items:
            type: string
          type: array
          title: Labels
          default: []
        starred:
          type: boolean
          title: Starred
          default: false
      type: object
      required:
        - subject
        - body
        - from_
        - to
        - messageId
        - date
      title: EmailMessage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    common__models__email_models__EmailBody:
      properties:
        text:
          anyOf:
            - type: string
            - type: string
              format: binary
            - type: 'null'
          title: Text
        html:
          anyOf:
            - type: string
            - type: string
              format: binary
            - type: 'null'
          title: Html
      type: object
      title: EmailBody
      examples:
        - html: <p>Hi,</p><p>Hope you are well...</p>
          text: |-
            Hi,

            Hope you are well...
    EmailRecipient:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        address:
          type: string
          title: Address
      type: object
      required:
        - name
        - address
      title: EmailRecipient
      examples:
        - address: pete@example.com
          name: Pete Tomlinson
    DocumentInternal:
      properties:
        id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Id
        filepath:
          anyOf:
            - type: string
            - type: 'null'
          title: Filepath
        filename:
          type: string
          title: Filename
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        last_updated:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated
      type: object
      required:
        - id
        - filepath
        - filename
        - description
      title: DocumentInternal
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      type: apiKey
      description: Key used to authenticate user API requests.
      in: header
      name: X-API-Key

````